Upstream information

CVE-2014-5033 at MITRE

Description

KDE kdelibs before 4.14 and kauth before 5.1 does not properly use D-Bus for communication with a polkit authority, which allows local users to bypass intended access restrictions by leveraging a PolkitUnixProcess PolkitSubject race condition via a (1) setuid process or (2) pkexec process, related to CVE-2013-4288 and "PID reuse race conditions."

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.9
Vector AV:L/AC:M/Au:N/C:C/I:C/A:C
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entries: 864716 [RESOLVED / FIXED], 912121 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE 13.1
  • kde4-kgreeter-plugins >= 4.11.11-115.3
  • kde4-kgreeter-plugins-debuginfo >= 4.11.11-115.3
  • kdebase4-workspace >= 4.11.11-115.3
  • kdebase4-workspace-branding-upstream >= 4.11.11-115.3
  • kdebase4-workspace-debuginfo >= 4.11.11-115.3
  • kdebase4-workspace-debugsource >= 4.11.11-115.3
  • kdebase4-workspace-devel >= 4.11.11-115.3
  • kdebase4-workspace-devel-debuginfo >= 4.11.11-115.3
  • kdebase4-workspace-ksysguardd >= 4.11.11-115.3
  • kdebase4-workspace-ksysguardd-debuginfo >= 4.11.11-115.3
  • kdebase4-workspace-liboxygenstyle >= 4.11.11-115.3
  • kdebase4-workspace-liboxygenstyle-32bit >= 4.11.11-115.3
  • kdebase4-workspace-liboxygenstyle-debuginfo >= 4.11.11-115.3
  • kdebase4-workspace-liboxygenstyle-debuginfo-32bit >= 4.11.11-115.3
  • kdebase4-workspace-plasma-calendar >= 4.11.11-115.3
  • kdebase4-workspace-plasma-calendar-debuginfo >= 4.11.11-115.3
  • kdelibs4 >= 4.11.5-484.1
  • kdelibs4-apidocs >= 4.11.5-484.1
  • kdelibs4-branding-upstream >= 4.11.5-484.1
  • kdelibs4-core >= 4.11.5-484.1
  • kdelibs4-core-debuginfo >= 4.11.5-484.1
  • kdelibs4-debuginfo >= 4.11.5-484.1
  • kdelibs4-debugsource >= 4.11.5-484.1
  • kdelibs4-doc >= 4.11.5-484.1
  • kdelibs4-doc-debuginfo >= 4.11.5-484.1
  • kdm >= 4.11.11-115.3
  • kdm-branding-upstream >= 4.11.11-115.3
  • kdm-debuginfo >= 4.11.11-115.3
  • krandr >= 4.11.11-115.3
  • krandr-debuginfo >= 4.11.11-115.3
  • kwin >= 4.11.11-115.3
  • kwin-debuginfo >= 4.11.11-115.3
  • libkde4 >= 4.11.5-484.1
  • libkde4-32bit >= 4.11.5-484.1
  • libkde4-debuginfo >= 4.11.5-484.1
  • libkde4-debuginfo-32bit >= 4.11.5-484.1
  • libkde4-devel >= 4.11.5-484.1
  • libkdecore4 >= 4.11.5-484.1
  • libkdecore4-32bit >= 4.11.5-484.1
  • libkdecore4-debuginfo >= 4.11.5-484.1
  • libkdecore4-debuginfo-32bit >= 4.11.5-484.1
  • libkdecore4-devel >= 4.11.5-484.1
  • libkdecore4-devel-debuginfo >= 4.11.5-484.1
  • libksuseinstall-devel >= 4.11.5-484.1
  • libksuseinstall1 >= 4.11.5-484.1
  • libksuseinstall1-32bit >= 4.11.5-484.1
  • libksuseinstall1-debuginfo >= 4.11.5-484.1
  • libksuseinstall1-debuginfo-32bit >= 4.11.5-484.1
  • python-kdebase4 >= 4.11.11-115.3
Patchnames:
openSUSE-2014-485


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP2 libvirt Released
SUSE Linux Enterprise Desktop 11 SP3 libvirt Released
SUSE Linux Enterprise SDK 11 SP2 libvirt Released
SUSE Linux Enterprise SDK 11 SP3 libvirt Released
SUSE Linux Enterprise Server 11 SP2 libvirt Released
SUSE Linux Enterprise Server 11 SP2 LTSS libvirt Released
SUSE Linux Enterprise Server 11 SP3 libvirt Released
SUSE Linux Enterprise Server 11 SP3 LTSS libvirt Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 libvirt Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 libvirt Released